The “Order Fulfillment” API facilitates the process of fulfilling an order.
POST
/
payments
/
orders
/
{orderId}
/
fulfillments
Create order fulfillment
curl --request POST \
--url https://services.leadconnectorhq.com/payments/orders/{orderId}/fulfillments \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"trackings": [
{
"trackingNumber": "40012345678",
"shippingCarrier": "FedEx",
"trackingUrl": "https://www.fedex.com/wtrk/track/?trknbr=40012345678"
}
],
"items": [
{
"priceId": "6578278e879ad2646715ba9c",
"qty": 1
}
],
"notifyCustomer": true
}
'const options = {
method: 'POST',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
trackings: [
{
trackingNumber: '40012345678',
shippingCarrier: 'FedEx',
trackingUrl: 'https://www.fedex.com/wtrk/track/?trknbr=40012345678'
}
],
items: [{priceId: '6578278e879ad2646715ba9c', qty: 1}],
notifyCustomer: true
})
};
fetch('https://services.leadconnectorhq.com/payments/orders/{orderId}/fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/orders/{orderId}/fulfillments"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"trackings": [
{
"trackingNumber": "40012345678",
"shippingCarrier": "FedEx",
"trackingUrl": "https://www.fedex.com/wtrk/track/?trknbr=40012345678"
}
],
"items": [
{
"priceId": "6578278e879ad2646715ba9c",
"qty": 1
}
],
"notifyCustomer": True
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"trackings": [
{
"trackingNumber": "40012345678",
"shippingCarrier": "FedEx",
"trackingUrl": "https://www.fedex.com/wtrk/track/?trknbr=40012345678"
}
],
"_id": "655b33a82209e60b6adb87a5",
"items": [
{
"_id": "6578278e879ad2646715ba9c",
"name": "Iphone 15 pro",
"product": {
"_id": "655b33a82209e60b6adb87a5",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"name": "Awesome Product",
"productType": "PHYSICAL",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"description": "This is a really awesome product",
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"availableInStore": true,
"statementDescriptor": "abcde",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"collectionIds": [
"65d71377c326ea78e1c47df5",
"65d71377c326ea78e1c47d34"
],
"isTaxesEnabled": true,
"taxes": [
"654492a4e6bef380114de15a"
],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"label": {
"title": "Featured",
"startDate": "2024-06-26T05:43:35.000Z",
"endDate": "2024-06-30T05:43:39.000Z"
},
"slug": "washing-machine"
},
"price": {
"_id": "655b33aa2209e60b6adb87a7",
"name": "Red / S",
"type": "one_time",
"currency": "INR",
"amount": 199999,
"membershipOffers": [
{
"label": "top_50",
"value": "50",
"_id": "655b33aa2209e60b6adb87a7"
}
],
"variantOptionIds": [
"h4z7u0im2q8",
"h3nst2ltsnn"
],
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"product": "655b33a82209e60b6adb87a5",
"userId": "6YAtzfzpmHAdj0e8GkKp",
"recurring": {
"interval": "day",
"intervalCount": 1
},
"createdAt": "2023-11-20T10:23:38.645Z",
"updatedAt": "2024-01-23T09:57:04.852Z",
"compareAtPrice": 2000000,
"trackInventory": null,
"availableQuantity": 5,
"allowOutOfStockPurchases": true
},
"qty": 1
}
],
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Headers
API Version
Available options:
2021-07-28 Path Parameters
ID of the order that needs to be returned
Example:
"653f5e0cde5a1314e62a837c"
Body
application/json
Location Id or Agency Id
Example:
"6578278e879ad2646715ba9c"
Available options:
location Fulfillment tracking information
Show child attributes
Show child attributes
Fulfilled items
Show child attributes
Show child attributes
Need to send a notification to customer
Example:
true
Last modified on March 8, 2026
Was this page helpful?
⌘I
Create order fulfillment
curl --request POST \
--url https://services.leadconnectorhq.com/payments/orders/{orderId}/fulfillments \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"trackings": [
{
"trackingNumber": "40012345678",
"shippingCarrier": "FedEx",
"trackingUrl": "https://www.fedex.com/wtrk/track/?trknbr=40012345678"
}
],
"items": [
{
"priceId": "6578278e879ad2646715ba9c",
"qty": 1
}
],
"notifyCustomer": true
}
'const options = {
method: 'POST',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
trackings: [
{
trackingNumber: '40012345678',
shippingCarrier: 'FedEx',
trackingUrl: 'https://www.fedex.com/wtrk/track/?trknbr=40012345678'
}
],
items: [{priceId: '6578278e879ad2646715ba9c', qty: 1}],
notifyCustomer: true
})
};
fetch('https://services.leadconnectorhq.com/payments/orders/{orderId}/fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/orders/{orderId}/fulfillments"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"trackings": [
{
"trackingNumber": "40012345678",
"shippingCarrier": "FedEx",
"trackingUrl": "https://www.fedex.com/wtrk/track/?trknbr=40012345678"
}
],
"items": [
{
"priceId": "6578278e879ad2646715ba9c",
"qty": 1
}
],
"notifyCustomer": True
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"trackings": [
{
"trackingNumber": "40012345678",
"shippingCarrier": "FedEx",
"trackingUrl": "https://www.fedex.com/wtrk/track/?trknbr=40012345678"
}
],
"_id": "655b33a82209e60b6adb87a5",
"items": [
{
"_id": "6578278e879ad2646715ba9c",
"name": "Iphone 15 pro",
"product": {
"_id": "655b33a82209e60b6adb87a5",
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"name": "Awesome Product",
"productType": "PHYSICAL",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"description": "This is a really awesome product",
"variants": [
{
"id": "38s63qmxfr4",
"name": "Size",
"options": [
{
"id": "h4z7u0im2q8",
"name": "XL"
}
]
}
],
"availableInStore": true,
"statementDescriptor": "abcde",
"image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
"collectionIds": [
"65d71377c326ea78e1c47df5",
"65d71377c326ea78e1c47d34"
],
"isTaxesEnabled": true,
"taxes": [
"654492a4e6bef380114de15a"
],
"automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
"label": {
"title": "Featured",
"startDate": "2024-06-26T05:43:35.000Z",
"endDate": "2024-06-30T05:43:39.000Z"
},
"slug": "washing-machine"
},
"price": {
"_id": "655b33aa2209e60b6adb87a7",
"name": "Red / S",
"type": "one_time",
"currency": "INR",
"amount": 199999,
"membershipOffers": [
{
"label": "top_50",
"value": "50",
"_id": "655b33aa2209e60b6adb87a7"
}
],
"variantOptionIds": [
"h4z7u0im2q8",
"h3nst2ltsnn"
],
"locationId": "3SwdhCsvxI8Au3KsPJt6",
"product": "655b33a82209e60b6adb87a5",
"userId": "6YAtzfzpmHAdj0e8GkKp",
"recurring": {
"interval": "day",
"intervalCount": 1
},
"createdAt": "2023-11-20T10:23:38.645Z",
"updatedAt": "2024-01-23T09:57:04.852Z",
"compareAtPrice": 2000000,
"trackInventory": null,
"availableQuantity": 5,
"allowOutOfStockPurchases": true
},
"qty": 1
}
],
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}